<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
AddFileByPath Method (IEdmClearLocalCache)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmClearLocalCache Interface : AddFileByPath Method (IEdmClearLocalCache)

Visual Basic
C#
C++/CLI

bsFilePath
  Path and filename of the file to clear

Adds the specified file to the batch of files and folders to clear from the local cache.

# Syntax

Visual Basic |
--- | ---

    Sub AddFileByPath( _
       ByVal bsFilePath As System.String _
    )

C# |
--- | ---

    void AddFileByPath(
       System.string bsFilePath
    )

C++/CLI |
--- | ---

    void AddFileByPath(
    &   System.String^ bsFilePath
    )

#### Parameters

bsFilePath
  Path and filename of the file to clear

# Example

Get File References for a File (C#)
Get File References for a File (VB.NET)

# Remarks

After calling this method, you must call IEdmClearLocalCache::CommitClear to actually clear the file from the cache.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmClearLocalCache Interface
IEdmClearLocalCache Members

# Availability

SOLIDWORKS PDM Professional 2008